Skip to content

Search hotels by property ID.

Request

The Search by ID request searches for specific hotels by their property ID. You can send up to 250 property IDs. The response returns a list of properties based on the ID/s sent. The Search by ID response format is the same as for Search by Location. The response returns up to 100 properties, or all requested properties if less than 100. If more than 100 properties were requested and are available, you can request the next page with the Search Pagination API.

Security
bearerAuth
Headers
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
TVP-Correlation-Idstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
Bodyapplication/jsonrequired
PropertiesQuerySpecificPropertyListobject(PropertiesQuerySpecificPropertyList)

Used for a Hotel Search by ID request. Defines a request to search for specific hotel properties by their property IDs on given stay dates. This request typically starts the hotel shopping workflow when the property IDs are already known and is usually followed by a Hotel Availability request or optionally a Hotel Details request.

curl -i -X POST \
  https://api.pp.travelport.net/11/hotel/search/properties \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-Correlation-Id: 382c74c3-721d-4f34-80e5-57657b6cbc27' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -d '{
    "PropertiesQuerySpecificPropertyList": {
      "@type": "PropertiesQuerySpecificPropertyList",
      "checkinDate": "2026-12-01",
      "checkoutDate": "2026-12-02",
      "numberOfGuests": 1,
      "RoomStayCandidates": {
        "RoomStayCandidate": [
          {
            "@type": "RoomStayCandidate",
            "GuestCounts": {
              "@type": "GuestCounts",
              "GuestCount": [
                {
                  "@type": "GuestCount",
                  "count": 1,
                  "age": 26,
                  "ageQualifyingCode": "10"
                }
              ]
            }
          }
        ]
      },
      "PropertyKey": [
        {
          "propertyCode": "G3375",
          "chainCode": "WI",
          "@type": "PropertyKey"
        }
      ]
    }
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
PropertiesResponseobject(PropertiesResponse)

The response of a Properties endpoint request.

Response
{ "PropertiesResponse": { "Properties": null, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }